﻿* Encoding: UTF-8.

*1. Calculation mean Scores*

*calculation mean scores for physical stress-related symptoms T1 to T5 (SSKJ 3–8; Lohaus, Eschenbeck, Kohlmann, & Klein-Heßling, 2006)*

COMPUTE T1_phys_Sym_gesamt=mean.5(T1_Sym_01, T1_Sym_02, T1_Sym_03, T1_Sym_04, T1_Sym_05, T1_Sym_06).
EXECUTE.

COMPUTE T2_phys_Sym_gesamt=mean.5(T2_Sym_1, T2_Sym_2, T2_Sym_3, T2_Sym_4, T2_Sym_5, T2_Sym_6).
EXECUTE.

COMPUTE T3_phys_Sym_gesamt=mean.5(T3_Sym_1, T3_Sym_2, T3_Sym_3, T3_Sym_4, T3_Sym_5, T3_Sym_6).
EXECUTE.

COMPUTE T4_phys_Sym_gesamt=mean.5(T4_Sym_1, T4_Sym_2, T4_Sym_3, T4_Sym_4, T4_Sym_5, T4_Sym_6).
EXECUTE.

COMPUTE T5_phys_Sym_gesamt=mean.5(T5_Sym_1, T5_Sym_2, T5_Sym_3, T5_Sym_4, T5_Sym_5, T5_Sym_6).
EXECUTE.


*calculation mean scores for psychological stress-related symptoms T1 to T5 (SSKJ 3–8; Lohaus, Eschenbeck, Kohlmann, & Klein-Heßling, 2006)*

COMPUTE T1_psych_Sym_gesamt=mean.11(T1_Sym_07, T1_Sym_08, T1_Sym_09, T1_Sym_10, T1_Sym_11, T1_Sym_12, T1_Sym_13, T1_Sym_14, 
    T1_Sym_15, T1_Sym_16, T1_Sym_17, T1_Sym_18).
EXECUTE.

COMPUTE T2_psych_Sym_gesamt=mean.11(T2_Sym_7, T2_Sym_8, T2_Sym_9, T2_Sym_10, T2_Sym_11, T2_Sym_12, T2_Sym_13, T2_Sym_14, T2_Sym_15, 
    T2_Sym_16, T2_Sym_17, T2_Sym_18).
EXECUTE.

COMPUTE T3_psych_Sym_gesamt=mean.11(T3_Sym_7, 
    T3_Sym_8, T3_Sym_9, T3_Sym_10, T3_Sym_11, T3_Sym_12, T3_Sym_13, T3_Sym_14,  T3_Sym_15, 
    T3_Sym_16, T3_Sym_17, T3_Sym_18).
EXECUTE.

COMPUTE T4_psych_Sym_gesamt=mean.11(T4_Sym_7, 
    T4_Sym_8, T4_Sym_9, T4_Sym_10, T4_Sym_11, T4_Sym_12, T4_Sym_13, T4_Sym_14, T4_Sym_15, 
    T4_Sym_16, T4_Sym_17, T4_Sym_18).
EXECUTE.

COMPUTE T5_psych_Sym_gesamt=mean.11(T5_Sym_7, 
    T5_Sym_8, T5_Sym_9, T5_Sym_10, T5_Sym_11, T5_Sym_12, T5_Sym_13, T5_Sym_14, T5_Sym_15, 
    T5_Sym_16, T5_Sym_17, T5_Sym_18).
EXECUTE.


*calculation mean scores for the subscales self-efficacy and self-control of the Resource Questionnaire for Children and Adolescents (FRKJ 8-16; Lohaus & Nussbeck, 2016)*

COMPUTE res_selfcontrol2=mean.5(T1_Res_3, T1_Res_5, T1_Res_7, T1_Res_9, T1_Res_11, T1_Res_12).
EXECUTE.

COMPUTE res_selfefficacy2=mean.5(T1_Res_1, T1_Res_2, T1_Res_4, T1_Res_6, T1_Res_8, T1_Res_10).
EXECUTE.


*calculation mean scores for the subscales of the German Coping Questionnaire for Children and Adolescents (SVF-KJ; Hampel & Petermann, 2016)*

COMPUTE SVF_Aggression=mean.3(T1_Aggr_cope_43, T1_Aggr_cope_53, T1_Aggr_cope_57, T1_Aggr_cope_65).
EXECUTE.

COMPUTE SVF_Avoid=mean.3(T1_Avoid_cope_38, T1_Avoid_cope_55, T1_Avoid_cope_49, T1_Avoid_cope_71).
EXECUTE.

COMPUTE SVF_Control=mean.3(T1_Control_cope_39, T1_Control_cope_52, T1_Control_cope_56, 
    T1_Control_cope_67).
EXECUTE.

COMPUTE SVF_Distract=mean.3(T1_Distr_cope_37, T1_Distr_cope_61, T1_Distr_cope_54, T1_Distr_cope_66).
EXECUTE.

COMPUTE SVF_Minimization=mean.3(T1_Mini_cope_40, T1_Mini_cope_47, T1_Mini_cope_62, T1_Mini_cope_70).
EXECUTE.

COMPUTE SVF_Resignation=mean.3(T1_Resign_cope_41, T1_Resign_cope_46, T1_Resign_cope_63, 
    T1_Resign_cope_69).
EXECUTE.

COMPUTE SVF_Rumination=mean.3(T1_Rumin_cope_44, T1_Rumin_cope_51, T1_Rumin_cope_68, T1_Rumin_cope_60).
EXECUTE.

COMPUTE SVF_SelfInstruction=mean.3(T1_SelfI_cope_42, T1_Selfi_cope_48, T1_SelfI_cope_59, 
    T1_SelfI_cope_72).
EXECUTE.

COMPUTE SVF_SocialSupport=mean.3(T1_Social_cope_45, T1_Social_cope_50, T1_Social_cope_58, 
    T1_Social_cope_64).
EXECUTE.


*2. Reliability analyses*

*Reliability analyses FRKJ self-control*

RELIABILITY
  /VARIABLES=T1_Res_3 T1_Res_5 T1_Res_7 T1_Res_9 T1_Res_11 T1_Res_12
  /SCALE('ALL VARIABLES') ALL
  /MODEL=ALPHA.

*Reliability analyses FRKJ self-efficacy*

RELIABILITY
  /VARIABLES=T1_Res_1 T1_Res_2 T1_Res_4 T1_Res_6 T1_Res_8 T1_Res_10
  /SCALE('ALL VARIABLES') ALL
  /MODEL=ALPHA.

*Reliability analyses SVK-KJ minimisation*

RELIABILITY
  /VARIABLES=T1_Mini_cope_40 T1_Mini_cope_47 T1_Mini_cope_62 T1_Mini_cope_70
  /SCALE('ALL VARIABLES') ALL
  /MODEL=ALPHA.

*Reliability analyses SVK-KJ aggression*

RELIABILITY
  /VARIABLES=T1_Aggr_cope_43 T1_Aggr_cope_53 T1_Aggr_cope_57 T1_Aggr_cope_65
  /SCALE('ALL VARIABLES') ALL
  /MODEL=ALPHA.

*Reliability analyses SVK-KJ avoidance*

RELIABILITY
  /VARIABLES=T1_Avoid_cope_38 T1_Avoid_cope_55 T1_Avoid_cope_49 T1_Avoid_cope_71
  /SCALE('ALL VARIABLES') ALL
  /MODEL=ALPHA.

*Reliability analyses SVK-KJ situation control*

RELIABILITY
  /VARIABLES=T1_Control_cope_39 T1_Control_cope_52 T1_Control_cope_56 T1_Control_cope_67
  /SCALE('ALL VARIABLES') ALL
  /MODEL=ALPHA.

*Reliability analyses SVK-KJ distraction*

RELIABILITY
  /VARIABLES=T1_Distr_cope_37 T1_Distr_cope_61 T1_Distr_cope_54 T1_Distr_cope_66
  /SCALE('ALL VARIABLES') ALL
  /MODEL=ALPHA.

*Reliability analyses SVK-KJ resignation*

RELIABILITY
  /VARIABLES=T1_Resign_cope_41 T1_Resign_cope_46 T1_Resign_cope_63 T1_Resign_cope_69
  /SCALE('ALL VARIABLES') ALL
  /MODEL=ALPHA.

*Reliability analyses SVK-KJ rumination*

RELIABILITY
  /VARIABLES=T1_Rumin_cope_44 T1_Rumin_cope_51 T1_Rumin_cope_60 T1_Rumin_cope_68
  /SCALE('ALL VARIABLES') ALL
  /MODEL=ALPHA.

*Reliability analyses SVK-KJ self-instruction*

RELIABILITY
  /VARIABLES=T1_SelfI_cope_42 T1_Selfi_cope_48 T1_SelfI_cope_59 T1_SelfI_cope_72
  /SCALE('ALL VARIABLES') ALL
  /MODEL=ALPHA.

*Reliability analyses SVK-KJ social support*

RELIABILITY
  /VARIABLES=T1_Social_cope_45 T1_Social_cope_50 T1_Social_cope_58 T1_Social_cope_64
  /SCALE('ALL VARIABLES') ALL
  /MODEL=ALPHA.

*Reliability analyses T1 SSKJ 3-8 physical symptoms*

RELIABILITY
  /VARIABLES=T1_Sym_01 T1_Sym_02 T1_Sym_03 T1_Sym_04 T1_Sym_05 T1_Sym_06
  /SCALE('ALL VARIABLES') ALL
  /MODEL=ALPHA.

*Reliability analyses T2 SSKJ 3-8 physical symptoms*

RELIABILITY
  /VARIABLES=T2_Sym_1 T2_Sym_2 T2_Sym_3 T2_Sym_4 T2_Sym_5 T2_Sym_6
  /SCALE('ALL VARIABLES') ALL
  /MODEL=ALPHA.

*Reliability analyses T3 SSKJ 3-8 physical symptoms*

RELIABILITY
  /VARIABLES=T3_Sym_1 T3_Sym_2 T3_Sym_3 T3_Sym_4 T3_Sym_5 T3_Sym_6
  /SCALE('ALL VARIABLES') ALL
  /MODEL=ALPHA.

*Reliability analyses T4 SSKJ 3-8 physical symptoms*

RELIABILITY
  /VARIABLES=T4_Sym_1 T4_Sym_2 T4_Sym_3 T4_Sym_4 T4_Sym_5 T4_Sym_6
  /SCALE('ALL VARIABLES') ALL
  /MODEL=ALPHA.

*Reliability analyses T5 SSKJ 3-8 physical symptoms*

RELIABILITY
  /VARIABLES=T5_Sym_1 T5_Sym_2 T5_Sym_3 T5_Sym_4 T5_Sym_5 T5_Sym_6
  /SCALE('ALL VARIABLES') ALL
  /MODEL=ALPHA.

*Reliability analyses T1 SSKJ 3-8 psychological symptoms*

RELIABILITY
  /VARIABLES=T1_Sym_07 T1_Sym_08 T1_Sym_09 T1_Sym_10 T1_Sym_11 T1_Sym_12 T1_Sym_13 T1_Sym_14 
    T1_Sym_15 T1_Sym_16 T1_Sym_17 T1_Sym_18
  /SCALE('ALL VARIABLES') ALL
  /MODEL=ALPHA.

*Reliability analyses T2 SSKJ 3-8 psychological symptoms*

RELIABILITY
  /VARIABLES=T2_Sym_7 T2_Sym_8 T2_Sym_9 T2_Sym_10 T2_Sym_11 T2_Sym_12 T2_Sym_13 T2_Sym_14 T2_Sym_15 
    T2_Sym_16 T2_Sym_17 T2_Sym_18
  /SCALE('ALL VARIABLES') ALL
  /MODEL=ALPHA.

*Reliability analyses T3 SSKJ 3-8 psychological symptoms*

RELIABILITY
  /VARIABLES=T3_Sym_7 T3_Sym_8 T3_Sym_9 T3_Sym_10 T3_Sym_11 T3_Sym_12 T3_Sym_13 T3_Sym_14 T3_Sym_15 
    T3_Sym_16 T3_Sym_17 T3_Sym_18
  /SCALE('ALL VARIABLES') ALL
  /MODEL=ALPHA.

*Reliability analyses T4 SSKJ 3-8 psychological symptoms*

RELIABILITY
  /VARIABLES=T4_Sym_7 T4_Sym_8 T4_Sym_9 T4_Sym_10 T4_Sym_11 T4_Sym_12 T4_Sym_13 T4_Sym_14 T4_Sym_15 
    T4_Sym_16 T4_Sym_17 T4_Sym_18
  /SCALE('ALL VARIABLES') ALL
  /MODEL=ALPHA.

*Reliability analyses T5 SSKJ 3-8 psychological symptoms*

RELIABILITY
  /VARIABLES=T5_Sym_7 T5_Sym_8 T5_Sym_9 T5_Sym_10 T5_Sym_11 T5_Sym_12 T5_Sym_13 T5_Sym_14 T5_Sym_15 
    T5_Sym_16 T5_Sym_17 T5_Sym_18
  /SCALE('ALL VARIABLES') ALL
  /MODEL=ALPHA.


*4. Preliminary Analyses*

*Preliminary Analyses: between groups ANOVA (prevention group vs. control group) with the nine subscales of the SVF as dependent variables*

ONEWAY SVF_Aggression SVF_Avoid SVF_Control SVF_Distract SVF_Minimization SVF_Resignation 
    SVF_Rumination SVF_SelfInstruction SVF_SocialSupport BY BED
  /STATISTICS DESCRIPTIVES  
  /MISSING ANALYSIS.

*Preliminary Analyses: between groups ANOVA (prevention group vs. control group) with the subscales self-efficacy and self-control of the FRKJ 8-16 as dependent variables*

ONEWAY FRKJ_selfcontrol FRKJ_selfefficacy BY BED
  /STATISTICS DESCRIPTIVES 
  /MISSING ANALYSIS.


*5. Main Analyses*

*Main Analyses: mixed between (prevention group vs. control group) within (psychological stress-related symptoms T2 to T5) ANCOVA with the psychological stress-related symptoms T1 and self-efficacy as covariates*

GLM T2_psych_Sym_gesamt T3_psych_Sym_gesamt T4_psych_Sym_gesamt T5_psych_Sym_gesamt BY BED WITH 
    FRKJ_selfefficacy T1_psych_Sym_gesamt
  /WSFACTOR=Faktor1 4 Polynomial 
  /METHOD=SSTYPE(3)
  /PLOT=PROFILE(Faktor1*BED)
  /EMMEANS=TABLES(BED*Faktor1) WITH(FRKJ_selfefficacy=MEAN T1_psych_Sym_gesamt=MEAN)
  /PRINT=DESCRIPTIVE ETASQ 
  /CRITERIA=ALPHA(.05)
  /WSDESIGN=Faktor1 
  /DESIGN=FRKJ_selfefficacy T1_psych_Sym_gesamt BED.

*Main Analyses: mixed between (prevention group vs. control group) within (physical stress-related symptoms T2 to T5) ANCOVA with the physical stress-related symptoms T1 and self-efficacy as covariates*

GLM T2_phys_Sym_gesamt T3_phys_Sym_gesamt T4_phys_Sym_gesamt T5_phys_Sym_gesamt BY BED WITH 
    FRKJ_selfefficacy T1_phys_Sym_gesamt
  /WSFACTOR=Faktor1 4 Polynomial 
  /METHOD=SSTYPE(3)
  /PLOT=PROFILE(Faktor1*BED)
  /EMMEANS=TABLES(BED*Faktor1) WITH(FRKJ_selfefficacy=MEAN T1_phys_Sym_gesamt=MEAN)
  /PRINT=DESCRIPTIVE ETASQ 
  /CRITERIA=ALPHA(.05)
  /WSDESIGN=Faktor1 
  /DESIGN=FRKJ_selfefficacy T1_phys_Sym_gesamt BED.


